Subject: Re: [PATCH v3 09/22] reftable/writer: handle allocation failures in `reftable_new_writer()`

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Sep 2024 12:11:11 -0700

Patrick Steinhardt <[email-masked]> writes:

>> Perhaps ban free(3), strdup(3) etc. at the end of reftable/basics.h,
>> banned.h style?
>
> Ugh. I was relying too much on your review having mentioned all cases,
> but I really should've double-checked the other patches, too. Mind you,
> I really don't mean to blame you here, I blame myself.
>
> In any case, banning these functions via "reftable/basics.h" certainly
> seems like a good idea. It's just too easy to screw up by accident. Will
> fix tomorrow.

Sounds like a good plan to do the banned.h-style annotations.

Thanks.